package com.usky.dxtop.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Staff implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId
    private Long sId;

    /**
     * id
     */
    private String id;

    private Integer deptSort;

    private Integer enabled;

    private Integer subCount;

    private Integer hasChildren;

    /**
     * 部门
     */
    private String label;

    private String name;

    private String pid;

    private Integer leaf;

    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    private String updateBy;

    private Date updateTime;
    @TableField(exist = false)
    private String deptName;

    @TableField(exist = false)
    private String identity;

    /**
     * 到账比例
     */
    @TableField(exist = false)
    private Double proportion;
    @JSONField(name = "cardid")
    private String card;

    @JSONField(name = "faceid")
    private String face;


}
